# FairMQ: asio::detail::associated_allocator_impl< T, Allocator, std::enable_if_t< T::AllocatorType > > Struct Template Reference

asio::detail::associated_allocator_impl< T, Allocator, std::enable_if_t< T::AllocatorType > > Struct Template Reference

Specialize to match our coding conventions. More...

`#include <Traits.h>`

## Public Types

using | type = typename T::AllocatorType

## Static Public Member Functions

static auto | get (const T &obj, const Allocator &) noexcept -> type

## Detailed Description

### template<typename T, typename Allocator>
struct asio::detail::associated_allocator_impl< T, Allocator, std::enable_if_t< T::AllocatorType > >

Specialize to match our coding conventions.

The documentation for this struct was generated from the following file:

- fairmq/sdk/Traits.h

privacy